Workspace Base Environment
A WorkspaceBaseEnvironment defines a workspace-level environment configuration consisting of an environment version and a list of dependencies.
WorkspaceBaseEnvironment object
A WorkspaceBaseEnvironment defines a workspace-level environment configuration consisting of an environment version and a list of dependencies.
- namestringIDImmutable
The resource name of the workspace base environment. Format: workspace-base-environments/{workspace-base-environment} The server ignores this field on create and builds the name from
workspace_base_environment_id, or fromdisplay_nameplus a random suffix when no ID is given.
- display_namestring
Human-readable display name for the workspace base environment.
- filepathstring
The workspace file or Unity Catalog volume path to the YAML file that defines the environment version and dependencies. The file name must end in
.yamlor.yml. Create and update requests must set this field.
- creator_user_idstringOutput only
User ID of the creator.
- create_timestringOutput only
Timestamp when the environment was created.
- last_updated_user_idstringOutput only
User ID of the last user who updated the environment.
- update_timestringOutput only
Timestamp when the environment was last updated.
- statusstringOutput only
The status of the materialized workspace base environment, which the server builds from the YAML file. The status is
CREATEDonce the build has succeeded.PENDINGCREATEDFAILEDEXPIREDINVALIDREFRESHING
- messagestringOutput only
Status message providing additional details about the environment status. When the status is
FAILED, the message contains the build error.
- is_defaultbooleanOutput only
Whether this is the default environment for the workspace.
- base_environment_typestring
The type of base environment (CPU or GPU). The default is
CPU.CPUGPU
- specobjectBetaOutput only
The environment specification containing version and dependencies, read from the YAML file at
filepath.Show child attributesHide child attributes
- dependenciesarray of stringBeta
List of pip dependencies, as supported by the version of pip in this environment. Each dependency is a valid pip requirements file line per https://pip.pypa.io/en/stable/reference/requirements-file-format/. Allowed dependencies include a requirement specifier, an archive URL, a local project path (such as WSFS or UC Volumes in <Databricks>), or a VCS project URL.
- environment_versionstringBeta
Environment version used by the environment. Each version comes with a specific Python version and a set of Python packages. The version is a string, consisting of an integer.
Get a workspace base environment GA
GET
Retrieves a WorkspaceBaseEnvironment by its name.
API scopes: environments
Parameters
- namestringRequiredpath
Required. The resource name of the workspace base environment to retrieve. Format: workspace-base-environments/{workspace_base_environment}
Response
Returns the WorkspaceBaseEnvironment object.
List workspace base environments GA
GET
Lists all WorkspaceBaseEnvironments in the workspace.
<Databricks> provides the following base environments:
-
workspace-base-environments/databricks_ai_...: includes popular AI and deep learning packages for serverless GPU compute. -
workspace-base-environments/databricks_ml_...: includes popular ML packages for serverless compute.
Databricks-provided base environments are versioned. For example, workspace-base-environments/databricks_ml_v5 corresponds to the ML environment built on environment version 5.
API scopes: environments
Lists all WorkspaceBaseEnvironments in the workspace.
<Databricks> provides the following base environments:
-
workspace-base-environments/databricks_ai_...: includes popular AI and deep learning packages for serverless GPU compute. See https://docs.databricks.com/aws/en/release-notes/serverless/environment-version/five-gpu#ai-environment. -
workspace-base-environments/databricks_ml_...: includes popular ML packages for serverless compute. See https://docs.databricks.com/aws/en/release-notes/serverless/environment-version/five#ml-environment.
Databricks-provided base environments are versioned. For example, workspace-base-environments/databricks_ml_v5 corresponds to the ML environment built on environment version 5.
Lists all WorkspaceBaseEnvironments in the workspace.
<Databricks> provides the following base environments:
workspace-base-environments/databricks_ai_...: includes popular AI and deep learning packages for serverless GPU compute.
workspace-base-environments/databricks_ml_...: includes popular ML packages for serverless compute.
Databricks-provided base environments are versioned. For example, workspace-base-environments/databricks_ml_v5 corresponds to the ML environment built on environment version 5.
Lists all WorkspaceBaseEnvironments in the workspace.
<Databricks> provides the following base environments:
workspace-base-environments/databricks_ai_...: includes popular AI and deep learning packages for serverless GPU compute.
workspace-base-environments/databricks_ml_...: includes popular ML packages for serverless compute.
See https://docs.databricks.com/gcp/en/release-notes/serverless/environment-version/five#ml-environment.
Databricks-provided base environments are versioned. For example, workspace-base-environments/databricks_ml_v5 corresponds to the ML environment built on environment version 5.
Parameters
- page_sizeint32query
The maximum number of environments to return per page. Default is 1000.
- page_tokenstringquery
Page token for pagination. Received from a previous ListWorkspaceBaseEnvironments call.
Response
Returns a list of WorkspaceBaseEnvironment objects.
Create a workspace base environment GA
POST
Creates a new WorkspaceBaseEnvironment. This is a long-running operation. The operation will asynchronously generate a materialized environment to optimize dependency resolution and is only marked as done when the materialized environment has been successfully generated or has failed. Poll the returned operation with GetOperation.
API scopes: environments
Parameters
- workspace_base_environment_idstring^[a-z]([a-z0-9-]{0,61}[a-z0-9])?$[ 4 .. 63 ] charactersquery
The ID to use for the workspace base environment, which will become the final component of the resource name. This value should be 4-63 characters, and valid characters are /[a-z][0-9]-/.
- request_idstring^[\\w.-]+$= 36 charactersquery
A unique identifier for this request. A random UUID is recommended. This request is only idempotent if a request_id is provided.
Request body
Required. The workspace base environment to create.
- namestringIDImmutable
The resource name of the workspace base environment. Format: workspace-base-environments/{workspace-base-environment} The server ignores this field on create and builds the name from
workspace_base_environment_id, or fromdisplay_nameplus a random suffix when no ID is given.
- display_namestringRequired
Human-readable display name for the workspace base environment.
- filepathstring
The workspace file or Unity Catalog volume path to the YAML file that defines the environment version and dependencies. The file name must end in
.yamlor.yml. Create and update requests must set this field.
- base_environment_typestring
The type of base environment (CPU or GPU). The default is
CPU.CPUGPU
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobject
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
Error codes returned by Databricks APIs to indicate specific failure conditions.
Show 81 possible values
UNKNOWNINTERNAL_ERRORTEMPORARILY_UNAVAILABLEIO_ERRORBAD_REQUESTSERVICE_UNDER_MAINTENANCEWORKSPACE_TEMPORARILY_UNAVAILABLEDEADLINE_EXCEEDEDCANCELLEDRESOURCE_EXHAUSTEDABORTEDNOT_FOUNDALREADY_EXISTSUNAUTHENTICATEDUNAVAILABLEINVALID_PARAMETER_VALUEENDPOINT_NOT_FOUNDMALFORMED_REQUESTINVALID_STATEPERMISSION_DENIEDFEATURE_DISABLEDCUSTOMER_UNAUTHORIZEDREQUEST_LIMIT_EXCEEDEDRESOURCE_CONFLICTUNPARSEABLE_HTTP_ERRORNOT_IMPLEMENTEDDATA_LOSSINVALID_STATE_TRANSITIONCOULD_NOT_ACQUIRE_LOCKRESOURCE_ALREADY_EXISTSRESOURCE_DOES_NOT_EXISTQUOTA_EXCEEDEDMAX_BLOCK_SIZE_EXCEEDEDMAX_READ_SIZE_EXCEEDEDPARTIAL_DELETEMAX_LIST_SIZE_EXCEEDEDDRY_RUN_FAILEDRESOURCE_LIMIT_EXCEEDEDDIRECTORY_NOT_EMPTYDIRECTORY_PROTECTEDMAX_NOTEBOOK_SIZE_EXCEEDEDMAX_CHILD_NODE_SIZE_EXCEEDEDSEARCH_QUERY_TOO_LONGSEARCH_QUERY_TOO_SHORTMANAGED_RESOURCE_GROUP_DOES_NOT_EXISTPERMISSION_NOT_PROPAGATEDDEPLOYMENT_TIMEOUTGIT_CONFLICTGIT_UNKNOWN_REFGIT_SENSITIVE_TOKEN_DETECTEDGIT_URL_NOT_ON_ALLOW_LISTGIT_REMOTE_ERRORPROJECTS_OPERATION_TIMEOUTIPYNB_FILE_IN_REPOINSECURE_PARTNER_RESPONSEMALFORMED_PARTNER_RESPONSEMETASTORE_DOES_NOT_EXISTDAC_DOES_NOT_EXISTCATALOG_DOES_NOT_EXISTSCHEMA_DOES_NOT_EXISTTABLE_DOES_NOT_EXISTSHARE_DOES_NOT_EXISTRECIPIENT_DOES_NOT_EXISTSTORAGE_CREDENTIAL_DOES_NOT_EXISTEXTERNAL_LOCATION_DOES_NOT_EXISTPRINCIPAL_DOES_NOT_EXISTPROVIDER_DOES_NOT_EXISTMETASTORE_ALREADY_EXISTSDAC_ALREADY_EXISTSCATALOG_ALREADY_EXISTSSCHEMA_ALREADY_EXISTSTABLE_ALREADY_EXISTSSHARE_ALREADY_EXISTSRECIPIENT_ALREADY_EXISTSSTORAGE_CREDENTIAL_ALREADY_EXISTSEXTERNAL_LOCATION_ALREADY_EXISTSPROVIDER_ALREADY_EXISTSCATALOG_NOT_EMPTYSCHEMA_NOT_EMPTYMETASTORE_NOT_EMPTYPROVIDER_SHARE_NOT_ACCESSIBLE
- messagestring
- stack_tracestring
- detailsarray of object
- responseobject
The normal, successful response of the operation.
Update a workspace base environment GA
PATCH
Updates an existing WorkspaceBaseEnvironment. This is a long-running operation. The operation will asynchronously regenerate the materialized environment and is only marked as done when the materialized environment has been successfully generated or has failed. The existing materialized environment remains available until it expires. Poll the returned operation with GetOperation. Databricks-provided base environments cannot be updated.
API scopes: environments
Parameters
- namestringRequiredpath
The resource name of the workspace base environment to update. Format: workspace-base-environments/{workspace_base_environment}
Request body
The workspace base environment with its new configuration.
The name path parameter identifies the environment to update. Set display_name and filepath on every
update, even when they do not change. An update keeps the stored base_environment_type, but the YAML file is
validated against the type in the request, which defaults to CPU, so also set it for a GPU environment.
- namestringIDImmutable
The resource name of the workspace base environment. Format: workspace-base-environments/{workspace-base-environment} The server ignores this field on create and builds the name from
workspace_base_environment_id, or fromdisplay_nameplus a random suffix when no ID is given.
- display_namestringRequired
Human-readable display name for the workspace base environment.
- filepathstring
The workspace file or Unity Catalog volume path to the YAML file that defines the environment version and dependencies. The file name must end in
.yamlor.yml. Create and update requests must set this field.
- base_environment_typestring
The type of base environment (CPU or GPU). The default is
CPU.CPUGPU
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobject
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
Error codes returned by Databricks APIs to indicate specific failure conditions.
Show 81 possible values
UNKNOWNINTERNAL_ERRORTEMPORARILY_UNAVAILABLEIO_ERRORBAD_REQUESTSERVICE_UNDER_MAINTENANCEWORKSPACE_TEMPORARILY_UNAVAILABLEDEADLINE_EXCEEDEDCANCELLEDRESOURCE_EXHAUSTEDABORTEDNOT_FOUNDALREADY_EXISTSUNAUTHENTICATEDUNAVAILABLEINVALID_PARAMETER_VALUEENDPOINT_NOT_FOUNDMALFORMED_REQUESTINVALID_STATEPERMISSION_DENIEDFEATURE_DISABLEDCUSTOMER_UNAUTHORIZEDREQUEST_LIMIT_EXCEEDEDRESOURCE_CONFLICTUNPARSEABLE_HTTP_ERRORNOT_IMPLEMENTEDDATA_LOSSINVALID_STATE_TRANSITIONCOULD_NOT_ACQUIRE_LOCKRESOURCE_ALREADY_EXISTSRESOURCE_DOES_NOT_EXISTQUOTA_EXCEEDEDMAX_BLOCK_SIZE_EXCEEDEDMAX_READ_SIZE_EXCEEDEDPARTIAL_DELETEMAX_LIST_SIZE_EXCEEDEDDRY_RUN_FAILEDRESOURCE_LIMIT_EXCEEDEDDIRECTORY_NOT_EMPTYDIRECTORY_PROTECTEDMAX_NOTEBOOK_SIZE_EXCEEDEDMAX_CHILD_NODE_SIZE_EXCEEDEDSEARCH_QUERY_TOO_LONGSEARCH_QUERY_TOO_SHORTMANAGED_RESOURCE_GROUP_DOES_NOT_EXISTPERMISSION_NOT_PROPAGATEDDEPLOYMENT_TIMEOUTGIT_CONFLICTGIT_UNKNOWN_REFGIT_SENSITIVE_TOKEN_DETECTEDGIT_URL_NOT_ON_ALLOW_LISTGIT_REMOTE_ERRORPROJECTS_OPERATION_TIMEOUTIPYNB_FILE_IN_REPOINSECURE_PARTNER_RESPONSEMALFORMED_PARTNER_RESPONSEMETASTORE_DOES_NOT_EXISTDAC_DOES_NOT_EXISTCATALOG_DOES_NOT_EXISTSCHEMA_DOES_NOT_EXISTTABLE_DOES_NOT_EXISTSHARE_DOES_NOT_EXISTRECIPIENT_DOES_NOT_EXISTSTORAGE_CREDENTIAL_DOES_NOT_EXISTEXTERNAL_LOCATION_DOES_NOT_EXISTPRINCIPAL_DOES_NOT_EXISTPROVIDER_DOES_NOT_EXISTMETASTORE_ALREADY_EXISTSDAC_ALREADY_EXISTSCATALOG_ALREADY_EXISTSSCHEMA_ALREADY_EXISTSTABLE_ALREADY_EXISTSSHARE_ALREADY_EXISTSRECIPIENT_ALREADY_EXISTSSTORAGE_CREDENTIAL_ALREADY_EXISTSEXTERNAL_LOCATION_ALREADY_EXISTSPROVIDER_ALREADY_EXISTSCATALOG_NOT_EMPTYSCHEMA_NOT_EMPTYMETASTORE_NOT_EMPTYPROVIDER_SHARE_NOT_ACCESSIBLE
- messagestring
- stack_tracestring
- detailsarray of object
- responseobject
The normal, successful response of the operation.
Delete a workspace base environment GA
DELETE
Deletes a WorkspaceBaseEnvironment. Deleting a base environment may impact linked notebooks and jobs. This operation is irreversible and should be performed only when you are certain the environment is no longer needed. Databricks-provided base environments cannot be deleted.
API scopes: environments
Parameters
- namestringRequiredpath
Required. The resource name of the workspace base environment to delete. Format: workspace-base-environments/{workspace_base_environment}
Refresh materialized workspace base environment GA
POST
Refreshes the materialized environment for a WorkspaceBaseEnvironment. This is a long-running operation. The operation will asynchronously regenerate the materialized environment and is only marked as done when the materialized environment has been successfully generated or has failed. The existing materialized environment remains available until it expires. Poll the returned operation with GetOperation. Databricks-provided base environments cannot be refreshed.
API scopes: environments
Parameters
- namestringRequiredpath
Required. The resource name of the workspace base environment to refresh. Format: workspace-base-environments/{workspace_base_environment}
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobject
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
Error codes returned by Databricks APIs to indicate specific failure conditions.
Show 81 possible values
UNKNOWNINTERNAL_ERRORTEMPORARILY_UNAVAILABLEIO_ERRORBAD_REQUESTSERVICE_UNDER_MAINTENANCEWORKSPACE_TEMPORARILY_UNAVAILABLEDEADLINE_EXCEEDEDCANCELLEDRESOURCE_EXHAUSTEDABORTEDNOT_FOUNDALREADY_EXISTSUNAUTHENTICATEDUNAVAILABLEINVALID_PARAMETER_VALUEENDPOINT_NOT_FOUNDMALFORMED_REQUESTINVALID_STATEPERMISSION_DENIEDFEATURE_DISABLEDCUSTOMER_UNAUTHORIZEDREQUEST_LIMIT_EXCEEDEDRESOURCE_CONFLICTUNPARSEABLE_HTTP_ERRORNOT_IMPLEMENTEDDATA_LOSSINVALID_STATE_TRANSITIONCOULD_NOT_ACQUIRE_LOCKRESOURCE_ALREADY_EXISTSRESOURCE_DOES_NOT_EXISTQUOTA_EXCEEDEDMAX_BLOCK_SIZE_EXCEEDEDMAX_READ_SIZE_EXCEEDEDPARTIAL_DELETEMAX_LIST_SIZE_EXCEEDEDDRY_RUN_FAILEDRESOURCE_LIMIT_EXCEEDEDDIRECTORY_NOT_EMPTYDIRECTORY_PROTECTEDMAX_NOTEBOOK_SIZE_EXCEEDEDMAX_CHILD_NODE_SIZE_EXCEEDEDSEARCH_QUERY_TOO_LONGSEARCH_QUERY_TOO_SHORTMANAGED_RESOURCE_GROUP_DOES_NOT_EXISTPERMISSION_NOT_PROPAGATEDDEPLOYMENT_TIMEOUTGIT_CONFLICTGIT_UNKNOWN_REFGIT_SENSITIVE_TOKEN_DETECTEDGIT_URL_NOT_ON_ALLOW_LISTGIT_REMOTE_ERRORPROJECTS_OPERATION_TIMEOUTIPYNB_FILE_IN_REPOINSECURE_PARTNER_RESPONSEMALFORMED_PARTNER_RESPONSEMETASTORE_DOES_NOT_EXISTDAC_DOES_NOT_EXISTCATALOG_DOES_NOT_EXISTSCHEMA_DOES_NOT_EXISTTABLE_DOES_NOT_EXISTSHARE_DOES_NOT_EXISTRECIPIENT_DOES_NOT_EXISTSTORAGE_CREDENTIAL_DOES_NOT_EXISTEXTERNAL_LOCATION_DOES_NOT_EXISTPRINCIPAL_DOES_NOT_EXISTPROVIDER_DOES_NOT_EXISTMETASTORE_ALREADY_EXISTSDAC_ALREADY_EXISTSCATALOG_ALREADY_EXISTSSCHEMA_ALREADY_EXISTSTABLE_ALREADY_EXISTSSHARE_ALREADY_EXISTSRECIPIENT_ALREADY_EXISTSSTORAGE_CREDENTIAL_ALREADY_EXISTSEXTERNAL_LOCATION_ALREADY_EXISTSPROVIDER_ALREADY_EXISTSCATALOG_NOT_EMPTYSCHEMA_NOT_EMPTYMETASTORE_NOT_EMPTYPROVIDER_SHARE_NOT_ACCESSIBLE
- messagestring
- stack_tracestring
- detailsarray of object
- responseobject
The normal, successful response of the operation.
Get the status of a long-running operation GA
GET
Gets the status of a long-running operation.
Clients can use this method to poll the operation result.
Create, update and refresh return an operation named operations/{workspace_base_environment_id}.
The operation is done when the materialized environment build finishes. On success, response contains the
WorkspaceBaseEnvironment with status CREATED. When the status is FAILED, EXPIRED or INVALID, error is
set instead, and error.message carries the environment's status message when one is available.
API scopes: environments
Parameters
- namestringRequiredpath
The name of the operation resource.
Response
- namestring
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the
nameshould be a resource name ending withoperations/{unique_id}.
- metadataobject
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.
- doneboolean
If the value is
false, it means the operation is still in progress. Iftrue, the operation is completed, and eithererrororresponseis available.
- errorobject
The error result of the operation in case of failure or cancellation.
Show child attributesHide child attributes
- error_codestring
Error codes returned by Databricks APIs to indicate specific failure conditions.
Show 81 possible values
UNKNOWNINTERNAL_ERRORTEMPORARILY_UNAVAILABLEIO_ERRORBAD_REQUESTSERVICE_UNDER_MAINTENANCEWORKSPACE_TEMPORARILY_UNAVAILABLEDEADLINE_EXCEEDEDCANCELLEDRESOURCE_EXHAUSTEDABORTEDNOT_FOUNDALREADY_EXISTSUNAUTHENTICATEDUNAVAILABLEINVALID_PARAMETER_VALUEENDPOINT_NOT_FOUNDMALFORMED_REQUESTINVALID_STATEPERMISSION_DENIEDFEATURE_DISABLEDCUSTOMER_UNAUTHORIZEDREQUEST_LIMIT_EXCEEDEDRESOURCE_CONFLICTUNPARSEABLE_HTTP_ERRORNOT_IMPLEMENTEDDATA_LOSSINVALID_STATE_TRANSITIONCOULD_NOT_ACQUIRE_LOCKRESOURCE_ALREADY_EXISTSRESOURCE_DOES_NOT_EXISTQUOTA_EXCEEDEDMAX_BLOCK_SIZE_EXCEEDEDMAX_READ_SIZE_EXCEEDEDPARTIAL_DELETEMAX_LIST_SIZE_EXCEEDEDDRY_RUN_FAILEDRESOURCE_LIMIT_EXCEEDEDDIRECTORY_NOT_EMPTYDIRECTORY_PROTECTEDMAX_NOTEBOOK_SIZE_EXCEEDEDMAX_CHILD_NODE_SIZE_EXCEEDEDSEARCH_QUERY_TOO_LONGSEARCH_QUERY_TOO_SHORTMANAGED_RESOURCE_GROUP_DOES_NOT_EXISTPERMISSION_NOT_PROPAGATEDDEPLOYMENT_TIMEOUTGIT_CONFLICTGIT_UNKNOWN_REFGIT_SENSITIVE_TOKEN_DETECTEDGIT_URL_NOT_ON_ALLOW_LISTGIT_REMOTE_ERRORPROJECTS_OPERATION_TIMEOUTIPYNB_FILE_IN_REPOINSECURE_PARTNER_RESPONSEMALFORMED_PARTNER_RESPONSEMETASTORE_DOES_NOT_EXISTDAC_DOES_NOT_EXISTCATALOG_DOES_NOT_EXISTSCHEMA_DOES_NOT_EXISTTABLE_DOES_NOT_EXISTSHARE_DOES_NOT_EXISTRECIPIENT_DOES_NOT_EXISTSTORAGE_CREDENTIAL_DOES_NOT_EXISTEXTERNAL_LOCATION_DOES_NOT_EXISTPRINCIPAL_DOES_NOT_EXISTPROVIDER_DOES_NOT_EXISTMETASTORE_ALREADY_EXISTSDAC_ALREADY_EXISTSCATALOG_ALREADY_EXISTSSCHEMA_ALREADY_EXISTSTABLE_ALREADY_EXISTSSHARE_ALREADY_EXISTSRECIPIENT_ALREADY_EXISTSSTORAGE_CREDENTIAL_ALREADY_EXISTSEXTERNAL_LOCATION_ALREADY_EXISTSPROVIDER_ALREADY_EXISTSCATALOG_NOT_EMPTYSCHEMA_NOT_EMPTYMETASTORE_NOT_EMPTYPROVIDER_SHARE_NOT_ACCESSIBLE
- messagestring
- stack_tracestring
- detailsarray of object
- responseobject
The normal, successful response of the operation.